import 'package:dashboard/data/post.dart';
import 'package:logger/logger.dart';

class Cluster {
  final String label;
  final int id;
  final String layerName;

  List<Post> nodes;

  Cluster(this.label, this.id, this.layerName, this.nodes);

  String getDisplayLabel() {
    if (label == "noise") return label;

    switch (layerName) {
      case "Upvotes_Layer":
        return "${label.substring(1, label.indexOf("."))} Upvotes";
        break;
      case "Percentage_Layer":
        String trust = label.substring(0, label.indexOf(" "));
        if (trust == "1.0")
          trust = "100";
        else
          trust = trust.substring(2);
        return "$trust% Trust";
        break;
      case "Engagement_Layer":
        return "${label.substring(0, label.indexOf("."))} comments";
        break;
      case "Time_Layer":
        int timestamp = int.parse(label.substring(0, label.indexOf(".")));
        String date =
            DateTime.fromMillisecondsSinceEpoch(timestamp * 1000).toString();
        date = date.substring(0, date.indexOf(" "));
        return "$date";
        break;
      default:
        return "?";
        break;
    }
  }
}
