import 'package:dashboard/ui/schema/page1/index.dart';
import 'package:dashboard/ui/schema/page2/index.dart';
import 'package:flutter/material.dart';

enum Phase { WRITE, DETAILS }

class SchemaDemo extends StatefulWidget {
  @override
  _SchemaDemoState createState() => _SchemaDemoState();

  final Phase phase;

  SchemaDemo({this.phase = Phase.WRITE});
}

class _SchemaDemoState extends State<SchemaDemo> {
  Phase _phase = Phase.WRITE;

  @override
  void initState() {
    _phase = widget.phase;
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    switch (_phase) {
      case Phase.WRITE:
        return SchemaDemoPage1();

      case Phase.DETAILS:
        return SchemaDemoPage2();

      default:
        return Text("Unknown Phase $_phase");
    }
  }
}
