import 'package:dashboard/constants/schema_demo_constants.dart';
import 'package:dashboard/ui/schema/util/post_written.dart';
import 'package:dashboard/ui/theme/color_holder.dart';
import 'package:flutter/material.dart';

class SchemaDemoPage2 extends StatefulWidget {
  @override
  _SchemaDemoPage2State createState() => _SchemaDemoPage2State();
}

class _SchemaDemoPage2State extends State<SchemaDemoPage2> {
  void _previous() {
    Navigator.of(context).pop();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: ColorHolder.color2,
      body: Center(
        child: Row(
          children: [
            SizedBox(width: 16),
            FloatingActionButton(
              onPressed: _previous,
              child: Icon(Icons.arrow_back),
              heroTag: "left-${DateTime.now()}",
            ),
            Expanded(
              child: Row(
                mainAxisAlignment: MainAxisAlignment.end,
                children: [
                  WrittenPost(
                    null,
                    initialStatus: PostStatus.DONE,
                  ),
                ],
              ),
            ),
            Icon(Icons.arrow_right),
            Expanded(
              child: Row(
                mainAxisSize: MainAxisSize.min,
                children: [
                  SizedBox(
                    width: 350,
                    child: Card(
                      child: Padding(
                        padding: const EdgeInsets.all(8.0),
                        child: DataTable(
                          columnSpacing: 16,
                          dataRowHeight: 48,
                          headingTextStyle: TextStyle(
                            fontWeight: FontWeight.bold,
                            color: Colors.black,
                            fontSize: 24,
                          ),
                          columns: [
                            DataColumn(label: Text("Field")),
                            DataColumn(label: Text("Value")),
                          ],
                          rows: [
                            DataRow(cells: [
                              DataCell(Text("Author")),
                              DataCell(Text("u/SomeUserOnReddit")),
                            ]),
                            DataRow(cells: [
                              DataCell(Text("Timestamp")),
                              DataCell(
                                  Text("${DateTime.now().toIso8601String()}")),
                            ]),
                            DataRow(cells: [
                              DataCell(Text("Content")),
                              DataCell(Text(SchemaDemoConstants.post)),
                            ]),
                            DataRow(cells: [
                              DataCell(Text("Upvotes")),
                              DataCell(Text("198")),
                            ]),
                            DataRow(cells: [
                              DataCell(Text("Percentage Upvoted")),
                              DataCell(Text("0.96")),
                            ]),
                            DataRow(cells: [
                              DataCell(Text("Number of Comments")),
                              DataCell(Text("0")),
                            ]),
                            DataRow(cells: [
                              DataCell(Text("Subreddit")),
                              DataCell(Text("r/Example")),
                            ]),
                            DataRow(cells: [
                              DataCell(Text("Id")),
                              DataCell(Text("a8bf26")),
                            ]),
                          ],
                        ),
                      ),
                    ),
                  ),
                ],
              ),
            ),
            FloatingActionButton(
              onPressed: () {},
              child: Icon(Icons.arrow_forward),
              heroTag: "right-${DateTime.now()}",
            ),
            SizedBox(width: 16),
          ],
        ),
      ),
    );
  }
}
